﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using Telerik.Windows.Controls;

namespace AutoCompleteBoxInGridViewExample
{
	public class ViewModel : ViewModelBase
	{
		private ObservableCollection<Item> items;

		private ObservableCollection<Country> countries;

		public ViewModel()
		{
			this.Countries = new ObservableCollection<Country>()
			{
				new Country() { Name = "Australia" , Capital = "Canberra" },
				new Country() { Name = "Bulgaria", Capital = "Sofia" },
				new Country() { Name = "Canada" , Capital = "Ottawa" },
				new Country() { Name = "Denmark" , Capital = "Copenhagen" },
				new Country() { Name = "France" , Capital = "Paris" },
				new Country() { Name = "Germany" , Capital = "Berlin" },
				new Country() { Name = "India" , Capital = "New Delhi" },
				new Country() { Name = "Italy" , Capital = "Rome" },
				new Country() { Name = "Norway" , Capital = "Oslo" },
				new Country() { Name = "Russia" , Capital = "Moscow" },
				new Country() { Name = "Spain " , Capital = "Madrid" },
				new Country() { Name = "United Kingdom" , Capital = "London" },
				new Country() { Name = "United States" , Capital = "Washington, D.C." },
			};

			this.items = new ObservableCollection<Item>()
			{
				new Item() { Name = "Item 1", Countries = this.Countries },
				new Item() { Name = "Item 2", Countries = this.Countries },
				new Item() { Name = "Item 3", Countries = this.Countries }
			};
		}

		/// <Summary>Gets or sets Countries and notifies for changes</Summary>
		public ObservableCollection<Country> Countries
		{
			get { return this.countries; }
			set
			{
				if (this.countries != value)
				{
					this.countries = value;
					this.OnPropertyChanged(() => this.Countries);
				}
			}
		}

		/// <Summary>Gets or sets Items and notifies for changes</Summary>
		public ObservableCollection<Item> Items
		{
			get { return this.items; }
			set
			{
				if (this.items != value)
				{
					this.items = value;
					this.OnPropertyChanged(() => this.Items);
				}
			}
		}
	}
}
